<?php
include("../php/config.php");


$monto = $_GET["monto"];
$amonto = $_GET["monto"];
$usuario = $_GET["usuario"];
$cliente = $_GET["cliente"];
$tipo = $_GET["tipo"];
$concepto = $_GET["concepto"];
$secuencia = $_GET["secuencia"];
$efectivo = $_GET["efectivo"];
$cheque = $_GET["cheque"];
$tarjeta = $_GET["tarjeta"];
$numero_cheque = $_GET["numero_cheque"];
$pagadas = "";

$sql_folio_ingreso = mysql_query("SELECT * FROM parametros") or die(mysql_error());
$folio_ingreso = @mysql_result($sql_folio_ingreso,0,"folio_ingreso");
$folio_ingreso = $usuario."".$folio_ingreso;



$a = mysql_query("SELECT * FROM ventas WHERE balance>0 and cliente='$cliente' and estado!='Anulada' ORDER BY id_venta ASC") or die(mysql_error());
while($rs = mysql_fetch_array($a)){
////si monto es mayor al balance////
	if($monto>0){
		pagar($rs["balance"],$rs["id_venta"],$rs["folio"]);
		$pagadas.=",".$rs["folio"];
	}
////////////////////////////////
}



function pagar($balance,$id_venta, $folio){
global $ultimo;    
global $distribucion;
global $abonadas;
global $monto;
global $pagadas;
global $amonto;
global $cliente;
global $secuencia;
global $efectivo;
global $cheque;
global $tarjeta;
global $numero_cheque;
global $folio_ingreso;

if($monto>$balance){
$q0 = mysql_query("UPDATE ventas SET pagado=balance,fecha_pago=NOW() WHERE 	id_venta='$id_venta'") or die(mysql_error());
$q1 = mysql_query("UPDATE ventas SET balance=0 WHERE 	id_venta='$id_venta'") or die(mysql_error());
    
    
    
	$distribucion .= " | Venta #: (".$folio."), abono: [".number_format($balance,2,'.', ',')."," or die(mysql_error());
	mysql_query("INSERT INTO pagos_credito SET folio_ingreso='$folio_ingreso', fecha=NOW(), hora=NOW(), monto='$balance', cliente='$cliente',  usuario='$usuario', secuencia='$secuencia', folio='$folio', id_factura='$id_venta'") or die(mysql_error());

	
	
	$monto = $monto - $balance;
	return;
	}
	
if($monto<$balance){

       
	$q0 = mysql_query("UPDATE ventas SET pagado=pagado+'$monto', fecha_pago=NOW(), balance=balance - '$monto' WHERE 	id_venta='$id_venta'") or die(mysql_error());
	
   
	    
	    
	$distribucion .= " | Venta #: (".$folio."), abono: ".number_format($monto,2,'.', ',')."," or die(mysql_error());
	mysql_query("INSERT INTO pagos_credito SET folio_ingreso='$folio_ingreso', fecha=NOW(), hora=NOW(), monto='$monto', cliente='$cliente',  usuario='$usuario', secuencia='$secuencia', folio='$folio', id_factura='$id_venta'") or die(mysql_error());

	
	$monto = 0;
	return;
	}
	
	
	if($monto==$balance){
;
	   
$q0 = mysql_query("UPDATE ventas SET pagado=balance, fecha_pago=NOW() WHERE 	id_venta='$id_venta'") or die(mysql_error());

$q1 = mysql_query("UPDATE ventas SET balance=0 WHERE id_venta='$id_venta'") or die(mysql_error());

    
    
	$distribucion .= " | Venta #: (".$id_venta."), abono: ".number_format($balance,2,'.', ',')."," or die(mysql_error());
	mysql_query("INSERT INTO pagos_credito SET folio_ingreso='$folio_ingreso', fecha=NOW(), hora=NOW(), monto='$balance', cliente='$cliente',  usuario='$usuario', secuencia='$secuencia', folio='$folio', id_factura='$id_venta'") or die(mysql_error());

	$monto = 0;
	return;
	}
	
	
	
}

$concepto = "Pago de facturas a credito, ".$distribucion;


mysql_query("UPDATE parametros SET folio_ingreso=folio_ingreso+1") or die(mysql_error());
mysql_query("INSERT INTO ingresos SET folio_ingreso='$folio_ingreso', fecha=NOW(), hora=NOW(), efectivo='$efectivo',cheque='$cheque',numero_cheque='$numero_cheque',tarjeta='$tarjeta', monto='$amonto', cliente='$cliente', tipo='Credito', concepto='$concepto', usuario='$usuario', secuencia='$secuencia'") or die(mysql_error());
echo 1;

?>